<div class="gmail_quote">On 23 October 2010 00:04,  <span dir="ltr">&lt;<a href="mailto:ipython-dev-request@scipy.org">ipython-dev-request@scipy.org</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">

<div id=":xj">Trying a little bit more by disabling that version check, I discovered that<br>
at least 2.6&#39;s support of print as a function, instead of a statement, is<br>
used. Now Jython 2.6 work kicked off just this week, so hopefully we don&#39;t<br>
really need 2.6. Jython 2.5 does have two key 2.6 features that you might be<br>
using: 1) full mutable ast support (through the ast module, used by sympy&#39;s<br>
support); 2) class decorators. (We also have namedtuple.)<br>
<br>
Maybe for Jython this is just a matter of isolating the print function? It<br>
doesn&#39;t seem to be used in too many places.</div></blockquote></div><br>Just to chime in here, we have been working on the principle that ipython 0.11 would depend on Python 2.6 or later, and I&#39;ve been &#39;modernising&#39; the code base a bit, to fit in with my Python 3 branch of ipython. I&#39;m sorry if this makes your life harder. Off the top of my head, though, I think most if not all of my changes should be compatible with 2.5.<br>

<br>Thomas<br>